List HOS Events
Get a paginated list of Hours of Service (HOS) events information accessible to your organization.
Note: This endpoint uses a smaller maximum page size (500) due to the size of HOS event objects.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
Limit results to specific fleets using Catena’s fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).
Limit results to specific fleets using your organization’s fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).
Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 45 days
Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 45 days
Return only records that were still active at or after this date and time. Format: ISO 8601 (UTC) Applies filter: ended_at >= active_from_datetime
Return only records that started before this date and time. Format: ISO 8601 (UTC) Applies filter: started_at < active_to_datetime
Include the raw data from the telematics provider. Useful for auditing or accessing fields not normalized by Catena
Limit results to specific drivers. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?driver_ids=id1&driver_ids=id2).
Limit results to specific vehicles. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?vehicle_ids=id1&vehicle_ids=id2).
Limit results to specific HOS event type codes. Maximum: 5 codes To specify multiple values, repeat the parameter for each value (e.g., ?event_type_codes=code1&event_type_codes=code2).